echo off 
cls
if exist \agx_dll.bat goto begin
echo 
echo ÿ
echo Please run AGX_DLL from the diskette drive !!
echo ÿ
goto end
:begin
set drive=0
if exist d:\os2\os2.ini set drive=D
if exist e:\os2\os2.ini set drive=E
if exist f:\os2\os2.ini set drive=F
if exist c:\os2\os2.ini set drive=C
if %drive%==0 goto askdrive
echo ÿ
echo ÿ
echo The OS/2 is on drive %drive%, is this correct (Y/N) ? 
getdrive
rem if answer = Y, then it's good
if errorlevel 89 goto ok
:askdrive
echo ÿ
echo ÿ
echo Which drive is the OS/2 installed, C or D or E or F ?
getdrive
if errorlevel 67 set drive=C
if errorlevel 68 set drive=D
if errorlevel 69 set drive=E
if errorlevel 70 set drive=F
if errorlevel 71 set drive=G
if errorlevel 72 set drive=H
if errorlevel 73 set drive=I
if errorlevel 74 set drive=J
if errorlevel 75 set drive=K
if errorlevel 76 goto askdrive
if exist %drive%:\os2\os2.ini goto ok
echo 
echo ÿ
echo ÿ
echo OS/2 not found on drive %drive% !!!
goto askdrive
:ok
echo ÿ
echo Copying AGX drivers, please wait...
cd \agx15_2
unpack agxvga %drive%:\os2\dll
cd \
:END
